%define		_status		alpha
%define		_pearname	Image_Transform
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - standard interface to manipulate images using different libraries
Summary(pl.UTF-8):	%{_pearname} - standardowy interfejs do manipulacji rysunkami przy użyciu różnych bibliotek
Name:		php-pear-%{_pearname}
Version:	0.9.5
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b616a0f955686bffec3b2b8d3dc70180
Patch0:		%{name}-IM-patches.patch
URL:		http://pear.php.net/package/Image_Transform/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-12
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package was written to provide a simpler and cross-library
interface to doing image transformations and manipulations.

It provides :
 - support for GD, ImageMagick, Imagick and NetPBM,
 - files related functions,
 - addText,
 - Scale (by length, percentage, maximum X/Y),
 - Resize,
 - Rotate (custom angle),
 - Add border (soon),
 - Add shadow (soon).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet został zrobiony, aby zapewnić prosty interfejs do różnych
bibliotek pozwalający na transformacje i manipulacje rysunkami.

Dostarcza:
 - wsparcie dla GD, ImageMagick, Imagick oraz NetPBM,
 - funkcje związane z plikami,
 - addText,
 - skalowanie (do wielkości, procentowe, maksymalne X/Y),
 - zmiana wielkości,
 - obroty (różne kąty),
 - dodanie brzegów (wkrótce),
 - dodanie cienia (wkrótce).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/Image/Transform
%patch0 -p2
cd -

install -d examples
mv .%{php_pear_dir}/Examples/* examples
mv .%{php_pear_dir}/data/Image_Transform/Examples/* examples
mv .%{php_pear_dir}/data/Image_Transform/imgtests examples
mv .%{php_pear_dir}/imgtests/* examples/imgtests

mv .%{php_pear_dir}/data/Image_Transform/Docs/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Image/*.php
%{php_pear_dir}/Image/Transform

%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Image_Transform.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 8279199
- updated to: 0.9.5

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 43f0543
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> 3de90e7
- updated to: 0.9.4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ddcf7b4
- tests are no longer installed - don't try to remove them

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 343164a
- up to 0.9.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b556f22
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> e9c9d2c
- updated to 0.9.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ad110ca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e474853
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 0a1f0e4
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> f6c20c9
- BR php-pear-PEAR

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> e69c2f9
- rel 2

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> cb18256
- kill compat functions at the price of increasing php version requirement to 4.3.0

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 083063e
- applied in 0.9.0

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 4c7df12
- updated to 0.9.0

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 3b957fe
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 0e8cea6
- sed 4.0 already required by rpm-php-pearprov >= 4.4.2-12

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> f8c7fe7
- new pear packaging

* Wed Jun 15 2005 Elan Ruusamäe <glen@pld-linux.org> 3200712
- add thumbnail, addBorder, setProfile methods to IM driver
- add patch for bug #599

* Wed Jun 15 2005 Elan Ruusamäe <glen@pld-linux.org> e2bc10f
- add thumbnaill, addBorder, setProfile methods

